# Changelog

## [Unreleased](https://github.com/kornicameister/loguru-mypy/tree/HEAD)

**Implemented enhancements:**

- Use PAT for changelog operations [\#109](https://github.com/kornicameister/loguru-mypy/pull/109)
- Auto commit change log only if changes detected [\#104](https://github.com/kornicameister/loguru-mypy/pull/104)
- Add mypy==0.812 to CI matrix [\#103](https://github.com/kornicameister/loguru-mypy/pull/103)
- Enable push to protected branch [\#102](https://github.com/kornicameister/loguru-mypy/pull/102)
- Generate changelog for each commit [\#101](https://github.com/kornicameister/loguru-mypy/pull/101)

**Fixed bugs:**

- "Internal error" while logging non-string messages [\#49](https://github.com/kornicameister/loguru-mypy/issues/49)

**Merged pull requests:**

- Prevent circular updated for changelog [\#108](https://github.com/kornicameister/loguru-mypy/pull/108)
- Fetch entire history for release [\#106](https://github.com/kornicameister/loguru-mypy/pull/106)
- Revert "Auto commit change log only if changes detected \(\#104\)" [\#105](https://github.com/kornicameister/loguru-mypy/pull/105)
- \[refactor\] Pull out arguments unpacking to function [\#88](https://github.com/kornicameister/loguru-mypy/pull/88)
- Bump pytest to 6.2.2 [\#87](https://github.com/kornicameister/loguru-mypy/pull/87)
- Add mypy==0.800 [\#86](https://github.com/kornicameister/loguru-mypy/pull/86)
- Accept Any Single Argument [\#81](https://github.com/kornicameister/loguru-mypy/pull/81)
- Accept variables \(NameExpr\) in loguru calls [\#80](https://github.com/kornicameister/loguru-mypy/pull/80)
- Accept numbers \(int,float\) for loguru calls [\#79](https://github.com/kornicameister/loguru-mypy/pull/79)
- Typos fix by misspell-fixer [\#75](https://github.com/kornicameister/loguru-mypy/pull/75)
- Bump pytest-randomly from 3.4.1 to 3.5.0 in /requirements/dev [\#69](https://github.com/kornicameister/loguru-mypy/pull/69)

## [v0.0.3](https://github.com/kornicameister/loguru-mypy/tree/v0.0.3) (2020-12-28)

**Fixed bugs:**

- Support attribute references of positional/keyword arguments with string formatting [\#42](https://github.com/kornicameister/loguru-mypy/issues/42)

**Closed issues:**

- Test against 3 latest releases of mypy + hard pin in plugin hook na latest [\#47](https://github.com/kornicameister/loguru-mypy/issues/47)
- Add this to awesome-python-typing [\#39](https://github.com/kornicameister/loguru-mypy/issues/39)

**Merged pull requests:**

- Use ubuntu 20.04 instead of ubuntu-latest [\#71](https://github.com/kornicameister/loguru-mypy/pull/71)
- Bump pascalgn/automerge-action from v0.12.0 to v0.13.0 [\#70](https://github.com/kornicameister/loguru-mypy/pull/70)
- Bump lxml from 4.6.1 to 4.6.2 in /requirements/dev [\#68](https://github.com/kornicameister/loguru-mypy/pull/68)
- Add coverage calculation [\#65](https://github.com/kornicameister/loguru-mypy/pull/65)
- Setup requirements for automerge [\#64](https://github.com/kornicameister/loguru-mypy/pull/64)
- Be specific when tox runs [\#63](https://github.com/kornicameister/loguru-mypy/pull/63)
- New releases schema with changelog generator [\#62](https://github.com/kornicameister/loguru-mypy/pull/62)
- Add mypy compatibility note [\#61](https://github.com/kornicameister/loguru-mypy/pull/61)
- Test against several versions of mypy & loguru [\#59](https://github.com/kornicameister/loguru-mypy/pull/59)
- Leverage mypy to check str.format expressions [\#43](https://github.com/kornicameister/loguru-mypy/pull/43)

## [v0.0.2](https://github.com/kornicameister/loguru-mypy/tree/v0.0.2) (2020-07-06)

## [v0.0.1](https://github.com/kornicameister/loguru-mypy/tree/v0.0.1) (2020-07-05)

**Merged pull requests:**

- Track if logger was lazy or not [\#7](https://github.com/kornicameister/loguru-mypy/pull/7)
- Port implementation from loguru PR [\#3](https://github.com/kornicameister/loguru-mypy/pull/3)
- Add basic CI based on tox [\#2](https://github.com/kornicameister/loguru-mypy/pull/2)
- Add action to upload to pypi [\#1](https://github.com/kornicameister/loguru-mypy/pull/1)



